Bug 521594 - [KMS] Monitor powers off during graphical boot with ATI Radeon X800
Summary: [KMS] Monitor powers off during graphical boot with ATI Radeon X800
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 07:42 UTC by Joachim Frieben
Modified: 2009-10-02 08:03 UTC (History)
2 users (show)

Fixed In Version: kernel-2.6.31-0.212.rc9.git1.fc12.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 08:03:24 UTC


Attachments (Terms of Use)
dmesg output for kernel 2.6.31-0.204.rc9.fc12.x86_64 (38.52 KB, text/plain)
2009-09-08 06:36 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2009-09-07 07:42:13 UTC
Description of problem:
For the current "rawhide" tree, enabling KMS results in a black screen during the boot procedure and in powering the monitor off. The graphics device is an ATI Radeon X800 attached to a 21" CRT HP A4576A.

Version-Release number of selected component (if applicable):
kernel-2.6.31-0.204.rc9.fc12.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot system while making sure that KMS is enabled.
  
Actual results:
Screen turns black and powers off a moment later.

Expected results:
At least progress bar animation is visible as in the "nomodeset" case.

Additional info:
Regression occurred within a week or so.

Comment 1 Joachim Frieben 2009-09-07 07:44:15 UTC
Once the boot procedure has been completed, X actually starts up as expected.

Comment 2 Chuck Ebbert 2009-09-07 22:31:47 UTC
Can you attach, as plain text, the contents of /var/log/dmesg after booting the problem kernel?

Comment 3 Joachim Frieben 2009-09-08 06:36:12 UTC
Created attachment 360039 [details]
dmesg output for kernel 2.6.31-0.204.rc9.fc12.x86_64

Comment 4 Dave Airlie 2009-10-02 03:28:27 UTC
can we get a boot with drm.debug=0xf?

I think the wierd sync thing is confusing something.

Comment 5 Joachim Frieben 2009-10-02 08:03:24 UTC
Fixed In Version:  kernel-2.6.31-0.212.rc9.git1.fc12.x86_64

However, issue has returned slightly altered as bug 526433 .


Note You need to log in before you can comment on or make changes to this bug.